ggiFlush(3)

NAME
ggiFlush, ggiFlushRegion : Flush pending output

SYNOPSIS
#include <ggi/ggi.h>
int ggiFlush(ggi_visual_t vis);
int ggiFlushRegion(ggi_visual_t vis, int x, int y, int w, int h);

DESCRIPTION
ggiFlush waits for the visual to finish pending accelerator commands, and in some targets, it refreshes the framebuffer. ggiFlushRegion performs the flush function only in the specified region if it would improve performance. These functions are not needed if the visual is in synchronous mode.

RETURN VALUE
No meaningful return value.

SEE ALSO
ggiSetFlags(3)